#
# SPEC file for hotot
#

%define name hotot
%define version 0.9.4
%define release %mkrel 2

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Twitter Client 
License:    LGPL
Group:      Networking/Other
URL:        https://hotot.googlecode.com/hg/
Source:     hotot-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}


BuildRequires:   intltool
BuildRequires:   python-distutils-extra
BuildRequires:   python-devel
Requires:        python-webkitgtk
Requires:        python-notify
Requires:        python-keybinder

%description
Hotot, is a lightweight & open source Microblogging Client, coding using Python language
and designed for Linux. 

%prep

%setup -qn hotot

cd hotot/

%build

%install

rm -rf $RPM_BUILD_ROOT


python setup.py install --root=%{buildroot}\
                          --prefix=%{_prefix} \
                           --install-lib=%{_libdir}/python2.6/site-packages/





%post

%{update_menus}

%postun

%{clean_menus}

%files
%defattr(-,root,root,-)

%{_bindir}/hotot
%{_libdir}/python2.6/site-packages/hotot-1.0-py2.6.egg-info
%{_libdir}/python2.6/site-packages/hotot/*
%{_datadir}/hotot/ext/*
%{_datadir}/hotot/ui/*
%{_datadir}/locale/es_MX/LC_MESSAGES/hotot.mo
%{_datadir}/locale/pt_PT/LC_MESSAGES/hotot.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/hotot.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/hotot.mo
%{_datadir}/applications/hotot.desktop
%{_datadir}/pixmaps/hotot.png


%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Tue Oct 12 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.9.4-2mdv2011.0
+ Revision: 585253
- Added missing python-devel BuildRequires.
- Fixed license
- Fixed some rpmlint warnings and some style issues.

  + Gonzalo Igartua <legion@mandriva.org>
    - Modified setup python setup.py install adding --install-lib
    - Modified setup python setup.py install adding --install-lib
    - import hotot

